Subject: Re: Building C++ library DLL
From: "vincent penne" <[email-masked]>
To: "Mumit Khan" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 12 Nov 1999 20:58:13 +0100

-----Message d'origine-----
De : Mumit Khan <[email-masked]>
À : vincent penne <[email-masked]>
Cc : [email-masked] <[email-masked]>
Date : vendredi 12 novembre 1999 18:12
Objet : Re: Building C++ library DLL

>
>It should work. Why not just try it out?
>
>

I tryed on a simple example, and it turned out that one problem came from
the fact that the extenstion of my objects was not .o but .dllo (it's
because I was creating a static library at the same time).
It seems dllwrap only works when it is given some .o objects ...

My simple example works then ...

But with a more complicate library, I still have some internal compiler
error when using class that are defined as
class __declspec(dllimport) foo

Here is an example of such message :

././Fl_Menu_Type.cxx:469: Internal compiler error, output_operand_lossage
`inval
id expression as operand'

The line where it crashes is a declaration of a variable of type foo, it is
not a variable of the library, but a variable of the program that uses it
...

I am using gcc 2.95, but I encountered some internal errors with egcs too
(however I'm not sure they were happening at the same points, I might try
this now ...)

--
Want to unsubscribe from this list?
Send a message to [email-masked]